Multivariate Pattern Analysis in Python

# mvpa2.base.collections.FeatureAttribute

class `mvpa2.base.collections.``FeatureAttribute`(value=None, name=None, doc='Sequence attribute', length=None)

  Per feature attribute in a dataset

  Attributes

  `name` |
  `unique` | Return unique values
  `value` |

  Methods

  `set_length_check`(value) | Set a target length of the value in this collectable.

  Parameters:

  value : arbitrary (see derived implementations)

  > The actual value of this attribute.

  name : str

  > Name of the attribute under which it should be available in its respective collection.

  doc : str

  > Documentation about the purpose of this attribute.

  length : int

  > If not None, enforce any array assigned as value of this collectable to be of this `length`. If an array does not match this requirement it is not modified, but a ValueError is raised.

  Attributes

  `name` |
  `unique` | Return unique values
  `value` |

  Methods

  `set_length_check`(value) | Set a target length of the value in this collectable.